package net.minecraft.world.level.levelgen.surfacebuilders;

import net.minecraft.world.level.block.state.BlockState;
import net.minecraft.world.level.biome.Biome;
import net.minecraft.world.level.chunk.ChunkAccess;
import java.util.Random;
import com.mojang.datafixers.Dynamic;
import java.util.function.Function;

public class MountainSurfaceBuilder extends SurfaceBuilder<SurfaceBuilderBaseConfiguration> {
    public MountainSurfaceBuilder(final Function<Dynamic<?>, ? extends SurfaceBuilderBaseConfiguration> function) {
        super(function);
    }
    
    @Override
    public void apply(final Random random, final ChunkAccess bzy, final Biome bkt, final int integer4, final int integer5, final int integer6, final double double7, final BlockState byj8, final BlockState byj9, final int integer10, final long long11, final SurfaceBuilderBaseConfiguration cnh) {
        if (double7 > 1.0) {
            SurfaceBuilder.DEFAULT.apply(random, bzy, bkt, integer4, integer5, integer6, double7, byj8, byj9, integer10, long11, SurfaceBuilder.CONFIG_STONE);
        }
        else {
            SurfaceBuilder.DEFAULT.apply(random, bzy, bkt, integer4, integer5, integer6, double7, byj8, byj9, integer10, long11, SurfaceBuilder.CONFIG_GRASS);
        }
    }
}
